{% if request.user.is_superuser %}

<div onclick="handleAdminQuickAccess()" id="admin-quick-access" class="btn fixedBtn add-btn add-article {% if notification %} admin-notification {% endif %}">
  <i id="admin-quick-access-icon" class="fa-solid fa-bars"></i>
  <ul id="admin-quick-access-menu">
    <li><a href="{% url 'new_article' %}"><i class="fa-solid fa-plus"></i><span class="one-ligne-text">Ajouter article</span></a></li>
    <li><a href="{% url 'sell_list_all' %}"><i class="fa-solid fa-basket-shopping"></i><span class="one-ligne-text">Reprises</span></a></li>
    <li><a href="{% url 'list_rent' %}"><i class="fa-solid fa-business-time fs-5"></i><span>Location</span></a> </li>
    <li><a href="{% url 'control_panel' %}"><i class="fa-solid fa-shield-virus"></i><span>Dashboard</span></a></li>
  </ul>
</div>
{% endif %}

<style>
  #chat {
    position: fixed;
    background-color: rgba(248, 248, 248, 0.774);
    width: 500px;
    max-width: 50%;
    height: 70%;
    bottom: 5rem;
    right: 1rem;
    border-radius: 1rem;
    border: 1px solid black;
    opacity: 0.7;
    transform: scale(0);
    transition: all 0.3s ease-in-out;
    cursor: initial;
    display: flex;
    flex-direction: column;

    justify-content: space-between;
  }

  #chatbox #chat.active {
    transform: scale(1);
  }

  #chatbox #chat .chatbox-header {
    display: flex;
    justify-content: space-between;
    background-color: black;
    border-top-right-radius: 1rem;
    border-top-left-radius: 1rem;
    padding: 0 2rem;
  }
  #chatbox #chat .chatbox-header span {
    flex: 1;
}

#chatbox #chat .chatbox-footer {
    display: flex;
    justify-content: space-between;
    background-color: black;
    border-bottom-right-radius: 1rem;
    border-bottom-left-radius: 1rem;
    padding: 0 2rem;
  }
  #chatbox #chat .chatbox-footer .input {
    flex:0.95;
}
#chatbox #chat .chatbox-footer .input textarea {
    width: 100%;
    height: 50px;
    border: none;
    outline: none;
    resize: none;
    padding: 1rem;
    border-radius: 1rem;
    font-size: 0.8rem;
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    color: black;
    background-color: white;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
}
#chatbox #chat .chatbox-body {
  height: auto;
  flex: 1;
}
</style>


{% if request.user.is_authenticated and is_local %}
<div id="chatbox" class="btn fixedBtn add-btn add-article chatbox {% if notification %} admin-notification {% endif %}" style="right: 1rem !important;">
  <i onclick="handleChat(this)" id="chat-icon" class="fa-solid fa-message"></i>
  <section id="chat" class="active">
    <div class="chatbox-header">
      <span>Chat</span>
      <!-- <button type="button" onclick="closeChatbox()" class="normal-btn fa-solid fa-times text-white"></button> -->

    </div>
    <div class="chatbox-body"></div>
    <div class="chatbox-footer">
      <div class="input">
        <textarea name="" id="newMsg"></textarea>
      </div>
      <div class="btns">
        <!-- <input type="file" id="img" class="fa-solid fa-image"> -->
        <button class="normal-btn  text-white fa-solid fa-paper-plane"></button>
      </div>
    </div>
  </section>
</div>

<script>
  function handleChat(i) {
    const div = i.parentElement;
    const icon = div.querySelector('i#chat-icon');
    // console.log(icon)
    const section = div.querySelector('section#chat');
    section.classList.toggle('active')
    if (section.classList.contains('active')) {
      icon.classList.remove('fa-message');
      icon.classList.add('fa-times');
    } else {
      icon.classList.remove('fa-times');
      icon.classList.add('fa-message');
    }
  }

  function closeChatbox() {
    const chatbox = document.querySelector('#chatbox #chat');
    const icon = document.querySelector('#chatbox i#chat-icon');
    console.log(chatbox)
    console.log(icon)
    chatbox.classList.remove('test');
    icon.classList.remove('fa-times');
    icon.classList.add('fa-message');
  }
</script>
{% endif %}
